Name:           kile
Summary:        Integrated LaTeX Environment for Plasma
Epoch:          2
Version:        2.9.94
Release:        %mkrel 2
License:        GPLv2+
Group:          Publishing
Url:            https://kile.sourceforge.net/
Source0:        https://downloads.sourceforge.net/kile/%{name}-%{version}.tar.bz2

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Codecs)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Parts)
BuildRequires:  cmake(KF6TextEditor)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6TextWidgets)

BuildRequires:  cmake(Okular6)
BuildRequires:  pkgconfig(poppler-qt6)

Requires:       latex
Requires:       konsole
Requires:       okular
Requires:       kservice
Requires:       kio
Requires:       sonnet
# see mga#27140
Recommends:     texlive-dist

%description
Kile is an integrated LaTeX Environment for Plasma.

%files -f %{name}.lang
%doc AUTHORS ChangeLog README* kile-remote-control.txt
%{_kf6_categoriesdir}/%{name}.categories
%{_kf6_bindir}/%{name}
%{_kf6_datadir}/%{name}/
%{_kf6_applicationsdir}/org.kde.%{name}.desktop
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf6_datadir}/kconf_update/%{name}*
%{_kf6_datadir}/config.kcfg/%{name}.kcfg
%{_kf6_datadir}/dbus-1/interfaces/org.kde.%{name}.main.xml
%{_kf6_datadir}/mime/packages/%{name}.xml
%{_kf6_iconsdir}/*/*/*/*

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-html


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 2:2.9.94-2.mga10
+ Revision: 2221545
- Mageia 10 Mass Rebuild

* Sun Mar 17 2024 daviddavid <daviddavid> 2:2.9.94-1.mga10
+ Revision: 2050221
- swith to official 2.9.94 release

* Sun Mar 10 2024 daviddavid <daviddavid> 2:2.9.94-0.git20240310.1.mga10
+ Revision: 2049104
- new version: 2.9.94 (3.0b4 from git20240310)
- switch to Qt6/KF6

* Sun Feb 27 2022 danf <danf> 2:2.9.93-6.mga9
+ Revision: 1786396
+ rebuild (emptylog)

* Wed Jan 06 2021 daviddavid <daviddavid> 2:2.9.93-6.mga8
+ Revision: 1669224
- add minimal default dependencies (mga#25451)

* Thu Dec 17 2020 umeabot <umeabot> 2:2.9.93-5.mga8
+ Revision: 1658716
- Rebuild for new Qt5

* Tue Dec 15 2020 daviddavid <daviddavid> 2:2.9.93-4.mga8
+ Revision: 1657836
- add missing recommended dependency on texlive-dist (mga#27140)

* Thu May 28 2020 daviddavid <daviddavid> 2:2.9.93-3.mga8
+ Revision: 1588475
- switch appdata file to kf5_metainfo dir

* Sun Feb 16 2020 umeabot <umeabot> 2:2.9.93-2.mga8
+ Revision: 1536679
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Tue Oct 22 2019 daviddavid <daviddavid> 2:2.9.93-1.mga8
+ Revision: 1455105
- new version: 2.9.93

* Sat Mar 30 2019 umeabot <umeabot> 2:2.9.92-3.mga7
+ Revision: 1382462
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2:2.9.92-2.mga7
+ Revision: 1298547
- Mageia 7 Mass Rebuild

* Mon May 14 2018 daviddavid <daviddavid> 2:2.9.92-1.mga7
+ Revision: 1229443
- new version: 2.9.92

* Sat Oct 07 2017 daviddavid <daviddavid> 2:2.9.91-1.mga7
+ Revision: 1170054
- new version: 2.9.91 (3.0b1) (mga#17814)
- port to Qt5/Kf5

* Sat Jan 14 2017 neoclust <neoclust> 2:2.1.3-7.mga6
+ Revision: 1081728
- Add back on mageia

* Fri Feb 05 2016 umeabot <umeabot> 2:2.1.3-6.mga6
+ Revision: 939781
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2:2.1.3-5.mga5
+ Revision: 750706
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2:2.1.3-4.mga5
+ Revision: 681076
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2:2.1.3-3.mga4
+ Revision: 506661
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2:2.1.3-2.mga3
+ Revision: 356177
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 27 2012 obgr_seneca <obgr_seneca> 2:2.1.3-1.mga3
+ Revision: 298665
- New version

* Thu May 10 2012 obgr_seneca <obgr_seneca> 2:2.1.2-1.mga2
+ Revision: 235095
-new version 2.1.2

* Fri Oct 07 2011 obgr_seneca <obgr_seneca> 2:2.1-2.mga2
+ Revision: 152825
- replaced Requires tetex-latex with latex
+ dlucio <dlucio>
- 2.1 final

* Sat Mar 05 2011 boklm <boklm> 2:2.1-0.b5.2.mga1
+ Revision: 64528
- require latex instead of tetex-latex

* Fri Mar 04 2011 shikamaru <shikamaru> 2:2.1-0.b5.1.mga1
+ Revision: 64280
- remove unneeded lf
+ obgr_seneca <obgr_seneca>
- new version 2.1 beta5
- removed unnecessary Obsoletes
- removed unnecessary BuildRoot
- imported package kile


* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 2:2.1-0.b4.2mdv2011.0
+ Revision: 612606
- the mass rebuild of 2010.1 packages

* Fri Apr 09 2010 Funda Wang <fwang@mandriva.org> 2:2.1-0.b4.1mdv2010.1
+ Revision: 533525
- 2.1b4

* Thu Mar 18 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:2.1-0.b3.2mdv2010.1
+ Revision: 525123
- Add konsole as Requires, thanks to Francois Boulogne

* Thu Dec 03 2009 Funda Wang <fwang@mandriva.org> 2:2.1-0.b3.1mdv2010.1
+ Revision: 472762
- new version 2.1 beta 3

* Thu Sep 17 2009 Helio Chissini de Castro <helio@mandriva.com> 2:2.1-0.b2.2mdv2010.0
+ Revision: 443974
- Proper packaging kile. It requires kappfinder which is obsolete

* Wed Sep 09 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:2.1-0.b2.1mdv2010.0
+ Revision: 434566
- Fix file list
- Update to beta2

* Sat Feb 21 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:2.1-0.924057.3mdv2009.1
+ Revision: 343531
- Fix file list
- Fix file list

* Wed Feb 18 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:2.1-0.924057.2mdv2009.1
+ Revision: 342518
- Fix file list

* Tue Feb 10 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:2.1-0.924057.1mdv2009.1
+ Revision: 339043
- Snapshot of the KDE4 version

* Tue Dec 09 2008 Funda Wang <fwang@mandriva.org> 1:2.0.3-1mdv2009.1
+ Revision: 312239
- New version 2.0.3

* Wed Sep 03 2008 Funda Wang <fwang@mandriva.org> 1:2.0.2-1mdv2009.0
+ Revision: 279422
- New version 2.0.2

* Fri Aug 08 2008 Funda Wang <fwang@mandriva.org> 1:2.0.1-3mdv2009.0
+ Revision: 267854
- switch to /opt

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1:2.0.1-2mdv2009.0
+ Revision: 267786
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon May 19 2008 Lev Givon <lev@mandriva.org> 1:2.0.1-1mdv2009.0
+ Revision: 208989
- Update to 2.0.1.

* Sun Feb 10 2008 Frederik Himpe <fhimpe@mandriva.org> 1:2.0-3mdv2008.1
+ Revision: 164730
- Rebuild against openldap 2.4 libraries

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - better description

* Fri Nov 23 2007 Funda Wang <fwang@mandriva.org> 1:2.0-2mdv2008.1
+ Revision: 111377
- fix conflicts with kdelibs

* Thu Nov 22 2007 Funda Wang <fwang@mandriva.org> 1:2.0-1mdv2008.1
+ Revision: 111124
- add kate syntax
- fix filelist
- New version 2.0

* Sun Sep 02 2007 Funda Wang <fwang@mandriva.org> 1:1.9.3-3mdv2008.0
+ Revision: 77752
- fix desktop file category

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Add menu entry


* Tue Nov 21 2006 Laurent Montel <lmontel@mandriva.com> 1.9.3-1mdv2007.0
+ Revision: 85839
- 1.9.3
- Import kile

* Tue Aug 29 2006 Laurent MONTEL <lmontel@mandriva.com> 1.9.2-1
- 1.9.2

* Fri Jul 14 2006 Laurent MONTEL <lmontel@mandriva.com> 1.9.1-1
- 1.9.1

* Fri Jul 14 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1:1.9-3mdv2007.0
- Rebuild for new menu and extension
- Use macro for icons and macro

* Thu May 11 2006 Laurent MONTEL <lmontel@mandriva.com> 1.9-2
- Rebuild to generate category

* Wed Mar 22 2006 Laurent MONTEL <lmontel@mandriva.com> 1.9-1
- 1.9

* Mon Dec 26 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.8.1-4mdk
- Remove redundant Buildrequires

* Fri Dec 09 2005 Laurent MONTEL <lmontel@mandriva.com> 1.8.1-3
- Obsolete kile-i18n

* Thu Sep 01 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.8.1-2mdk
- use %%mkrel
- from Dominik Grafenhofer <dominik@grafenhofer.at>
  - added german GUI translation

* Fri Jun 03 2005 Laurent MONTEL <lmontel@mandriva.com> 1.8.1-1mdk
- 1.8.1

* Tue May 24 2005 Laurent MONTEL <lmontel@mandriva.com> 1.8-1mdk
- 1.8
- Necessary to add epoch because previous package was not named correctly :(

* Wed May 04 2005 Laurent MONTEL <lmontel@mandriva.com> 1.8b2-2mdk
- i18n is not in separate package

* Tue Apr 26 2005 Giuseppe Ghibò <ghibo@mandriva.com> 1.8b2-1mdk
- Release: 1.8b2.

* Sun Apr 17 2005 Giuseppe Ghibò <ghibo@mandriva.com> 1.8b1-1mdk
- Release: 1.8b1.
- Specify QTDIR (needed for building under X86-64).

* Thu Dec 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.7.1-5mdk
- Fix menu

* Tue Dec 07 2004 Dominik Grafenhofer <dominik@grafenhofer.at> 1.7.1-4mdk
- fixed dependencies of some i18n packages

* Mon Nov 08 2004 Dominik Grafenhofer <dominik@grafenhofer.at> 1.7.1-3mdk
- Added i18n packages
- fix source (the first 1.7.1 tarball was not working)

* Thu Oct 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.7.1-2mdk
- Fix conflict

* Tue Oct 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.7.1-1mdk
- 1.7.1

* Sat Jun 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.6.3-2mdk
- Rebuild

* Sat Jun 05 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.3-1mdk
- 1.6.3
- cleanups

* Thu Apr 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.6.2-1mdk
- 1.6.2

* Sun Feb 01 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.6.1-1mdk
- 1.6.1
- fix menu

